Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSplitPaneUI.FocusHandler

- java.lang.Object
- - java.awt.event.FocusAdapter
  - - javax.swing.plaf.basic.BasicSplitPaneUI.FocusHandler

- All Implemented Interfaces:
    `FocusListener`, `EventListener`
  Enclosing class:
    BasicSplitPaneUI

      public class BasicSplitPaneUI.FocusHandler
      extends FocusAdapter

  Implementation of the FocusListener that the JSplitPane UI uses.

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FocusHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.awt.event.FocusAdapter

      `focusGained, focusLost`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusHandler

          public FocusHandler()